# Uses of Class
org.apache.cxf.service.model.ServiceInfo

Packages that use ServiceInfo
Package
Description
org.apache.cxf.binding
org.apache.cxf.databinding
org.apache.cxf.interceptor
org.apache.cxf.service
org.apache.cxf.service.model
org.apache.cxf.staxutils.validation
org.apache.cxf.ws.addressing

- ## Uses of ServiceInfo in org.apache.cxf.binding

  Methods in org.apache.cxf.binding with parameters of type ServiceInfo
  Modifier and Type
  Method
  Description
  `BindingInfo`
  AbstractBindingFactory.`createBindingInfo(ServiceInfo service, String namespace, Object config)`
  Creates a "default" BindingInfo object for the service.

- ## Uses of ServiceInfo in org.apache.cxf.databinding

  Methods in org.apache.cxf.databinding with parameters of type ServiceInfo
  Modifier and Type
  Method
  Description
  `org.apache.ws.commons.schema.XmlSchema`
  AbstractDataBinding.`addSchemaDocument(ServiceInfo serviceInfo, SchemaCollection col, Document d, String systemId)`
  `org.apache.ws.commons.schema.XmlSchema`
  AbstractDataBinding.`addSchemaDocument(ServiceInfo serviceInfo, SchemaCollection col, Document d, String systemId, Collection<String> ids)`

- ## Uses of ServiceInfo in org.apache.cxf.interceptor

  Methods in org.apache.cxf.interceptor with parameters of type ServiceInfo
  Modifier and Type
  Method
  Description
  `protected MessageInfo`
  AbstractInDatabindingInterceptor.`setMessage(Message message, BindingOperationInfo operation, boolean requestor, ServiceInfo si, MessageInfo msgInfo)`

- ## Uses of ServiceInfo in org.apache.cxf.service

  Fields in org.apache.cxf.service declared as ServiceInfo
  Modifier and Type
  Field
  Description
  `protected ServiceInfo`
  ServiceModelVisitor.`serviceInfo`
  Methods in org.apache.cxf.service that return ServiceInfo
  Modifier and Type
  Method
  Description
  `ServiceInfo`
  ServiceBuilder.`createService()`
  Methods in org.apache.cxf.service that return types with arguments of type ServiceInfo
  Modifier and Type
  Method
  Description
  `List<ServiceInfo>`
  Service.`getServiceInfos()`
  `List<ServiceInfo>`
  ServiceImpl.`getServiceInfos()`
  Methods in org.apache.cxf.service with parameters of type ServiceInfo
  Modifier and Type
  Method
  Description
  `void`
  ServiceModelVisitor.`begin(ServiceInfo service)`
  `void`
  ServiceModelVisitor.`end(ServiceInfo service)`
  Constructors in org.apache.cxf.service with parameters of type ServiceInfo
  Modifier
  Constructor
  Description
  ``
  `ServiceImpl(ServiceInfo si)`
  ``
  `ServiceModelSchemaValidator(ServiceInfo serviceInfo)`
  ``
  `ServiceModelVisitor(ServiceInfo serviceInfo)`
  Constructor parameters in org.apache.cxf.service with type arguments of type ServiceInfo
  Modifier
  Constructor
  Description
  ``
  `ServiceImpl(List<ServiceInfo> si)`

- ## Uses of ServiceInfo in org.apache.cxf.service.model

  Methods in org.apache.cxf.service.model that return ServiceInfo
  Modifier and Type
  Method
  Description
  `ServiceInfo`
  BindingInfo.`getService()`
  `ServiceInfo`
  EndpointInfo.`getService()`
  `ServiceInfo`
  InterfaceInfo.`getService()`
  Methods in org.apache.cxf.service.model with parameters of type ServiceInfo
  Modifier and Type
  Method
  Description
  `static SchemaInfo`
  ServiceModelUtil.`getSchema(ServiceInfo serviceInfo, MessagePartInfo messagePartInfo)`
  `void`
  EndpointInfo.`setService(ServiceInfo s)`
  Method parameters in org.apache.cxf.service.model with type arguments of type ServiceInfo
  Modifier and Type
  Method
  Description
  `static EndpointInfo`
  ServiceModelUtil.`findBestEndpointInfo(QName qn, List<ServiceInfo> serviceInfos)`
  Constructors in org.apache.cxf.service.model with parameters of type ServiceInfo
  Modifier
  Constructor
  Description
  ``
  `BindingInfo(ServiceInfo service, String bindingId)`
  ``
  `EndpointInfo(ServiceInfo serv, String ns)`
  ``
  `InterfaceInfo(ServiceInfo info, QName q)`

- ## Uses of ServiceInfo in org.apache.cxf.staxutils.validation

  Methods in org.apache.cxf.staxutils.validation with parameters of type ServiceInfo
  Modifier and Type
  Method
  Description
  `void`
  WoodstoxValidationImpl.`setupValidation(XMLStreamReader reader, Endpoint endpoint, ServiceInfo serviceInfo)`
  `void`
  WoodstoxValidationImpl.`setupValidation(XMLStreamWriter writer, Endpoint endpoint, ServiceInfo serviceInfo)`

- ## Uses of ServiceInfo in org.apache.cxf.ws.addressing

  Methods in org.apache.cxf.ws.addressing with parameters of type ServiceInfo
  Modifier and Type
  Method
  Description
  `static Schema`
  EndpointReferenceUtils.`getSchema(ServiceInfo serviceInfo)`
  `static Schema`
  EndpointReferenceUtils.`getSchema(ServiceInfo serviceInfo, Bus b)`